import {
  orderReportDataType,
  releaseReportDataType,
  userJoinReportDataType,
  userReportDataType,
} from '~/api/interface/dataDashboardsType';
import axios from '../request';

export class DataDashboardsAPI {
  // 数据看板-用户概况
  static getUserReportData: userReportDataType = () =>
    axios.get('/userapp/user/report/getUserReportData');
  // 数据看板-信息发布
  static getReleaseReportData: releaseReportDataType = () =>
    axios.get('/release/report/getReleaseReportData');
  // 数据看板-加盟信息
  static getUserJoinReportData: userJoinReportDataType = () =>
    axios.get('/pms/product/report/getProductReportData');
  //   数据看板-订单信息
  static getOrderReportData: orderReportDataType = () =>
    axios.get('/oms/product/report/getOrderReportData');
}
